namespace sGUI

declare function AddSimpleGadget (event as EventHandle ptr,PosX as integer,PosY as integer,GadWidth as integer,GadHeight as integer,Text as string) as Gadget ptr
declare function SimpleGadgetActions(gad as Gadget ptr,action as integer) as integer
declare sub DrawSimpleGadget (gad as Gadget ptr)

function AddSimpleGadget (event as EventHandle ptr,PosX as integer,PosY as integer,GadWidth as integer,GadHeight as integer,Text as string) as Gadget ptr
  function=0
  dim as Gadget ptr gad
  gad=event->GadgetList->AppendNew (GadgetType)
  if gad then
    gad->event=event
  	gad->sel=0
    gad->act=0
    gad->posx=PosX
    gad->posy=PosY
    gad->gadw=GadWidth
    gad->gadh=GadHeight

    gad->caption=Text

    gad->DoDraw     =@DrawSimpleGadget
    gad->DoAction   =@SimpleGadgetActions
    gad->DoUpdate   =@DrawSimpleGadget

		gad->SaveBackGround
		function=gad
  end if
end function



function SimpleGadgetActions(gad as Gadget ptr,action as integer) as integer
  function=0
  select case action
      
      case GADGET_HIT        'Control grad frisch gedrckt
        SetSelect (gad,1)
      
      case GADGET_HOLD       'Control wird gehalten, Maus ber dem Control
        SetSelect (gad,1)
      
      case GADGET_HOLDOFF    'Control wird gehalten, Maus neben dem Control
        SetSelect (gad,0)
      
      case GADGET_RELEASE    'Control regulr losgelassen
        SetSelect (gad,0)
        function=1           'Ping!!!! Control meldet sich: bei mir ist was passiert!!!
      
      case GADGET_RELEASEOFF 'Control losgelassen, dabei ist Maus neben dem Control
        SetSelect (gad,0)

  end select
end function



sub DrawSimpleGadget (gad as Gadget ptr)
	dim as integer PosX,PosY,GadWidth,GadHeight
  PosX   =gad->posx
	PosY   =gad->posy
	GadWidth		=gad->gadw
	GadHeight		=gad->gadh

  screenlock
    if gad->act=0 then
'OFF
      put(PosX,PosY),gad->Background,pset
    else
'ON   unselect/select
      FrameB PosX, PosY, GadWidth, GadHeight,gad->sel
      FillA PosX+1,PosY+1,GadWidth-2,GadHeight-2,GadgetColor,gad->sel
      draw string (PosX+(GadWidth-len(gad->caption)*8)/2 , PosY+(GadHeight-fontheight)/2),gad->caption,GadgetTextColor
'SLEEP
      if gad->act=2 then put(PosX,PosY),gad->Background,alpha,SleepShade
    end if
  screenunlock
end sub

end namespace
