
#include "..\engine\enginecore.bas"
#include "utils.bas"

dim JSCP as tChessEngine
dim flag as byte

dim s as string
dim i as integer

dim as double startTime, endTime
dim as integer averageTime = 0

Open ChangeFileExt(__file__, ".log") for output as #1

JSCP.Initialize()
Print #1, JSCP.playBoard.Text()
Print #1, ""
i = 0

do
  i += 1
  
  /'
  if i mod 2 = 1 then
    JSCP.minDepth = 3
    JSCP.maxDepth = 5
  else
    JSCP.minDepth = 4
    JSCP.maxDepth = 6
  end if
  '/
  
  startTime = timer
  s = JSCP.EngineMove(flag)
  endTime = timer
  
  Print #1, Str(i) & ". " & s & " (" & Str(fix((endTime - startTime) * 1000)) & " ms)"
  Print #1, ""
  Print #1, JSCP.playBoard.Text()
  Print #1, ""
  
  averageTime += fix((endTime - startTime) * 1000)
loop until (flag > 1) or (i = 100)

averageTime \= i
Print #1, "average time = " & Str(averageTime) & " ms"

Close #1
